Debian Bug report logs - #397693
libbonobomm1.3: FTBFS: error: popt.h: No such file or directory

Package: libbonobo2-dev; Maintainer for libbonobo2-dev is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for libbonobo2-dev is src:libbonobo.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Wed, 8 Nov 2006 22:07:45 UTC

Severity: serious

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bradley Bell <btb@debian.org>:
Bug#397693; Package libbonobomm1.3. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Bradley Bell <btb@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: libbonobomm1.3: FTBFS: error: popt.h: No such file or directory
Date: Wed, 8 Nov 2006 22:24:15 +0100
Package: libbonobomm1.3
Version: 1.3.8-3
Severity: serious
Justification: FTBFS on i386, very likely to fail everywhere else
Usertags: grid5000

Hi,

During a rebuild of all packages in etch, I discovered that your package
failed to build on i386.

Relevant parts:
make[3]: Entering directory `/build/root/libbonobomm1.3-1.3.8/tools/extra_defs_gen'
source='generate_defs_libbonobo.cc' object='generate_defs_libbonobo.o' libtool=no \
        depfile='.deps/generate_defs_libbonobo.Po' tmpdepfile='.deps/generate_defs_libbonobo.TPo' \
        depmode=gcc3 /bin/sh ../../scripts/depcomp \
        i486-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I. -I../../bonobomm -DORBIT2=1 -pthread -I/usr/include/gtkmm-
2.0 -I/usr/lib/gtkmm-2.0/include -I/usr/include/gtk-2.0 -I/usr/lib/sigc++-1.2/include -I/usr/include/sigc++-1
.2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/pango-1.0 -I
/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/atk-1.0 -I/usr/include/lib
bonobo-2.0 -I/usr/include/orbit-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/orbitcpp-2.0      -g 
-O2 -c -o generate_defs_libbonobo.o `test -f 'generate_defs_libbonobo.cc' || echo './'`generate_defs_libbonob
o.cc
In file included from /usr/include/bonobo-activation-2.0/bonobo-activation/bonobo-activation.h:34,
                 from /usr/include/libbonobo-2.0/bonobo/bonobo-object.h:14,
                 from /usr/include/libbonobo-2.0/bonobo/bonobo-types.h:16,
                 from /usr/include/libbonobo-2.0/libbonobo.h:18,
                 from generate_defs_libbonobo.cc:24:
/usr/include/bonobo-activation-2.0/bonobo-activation/bonobo-activation-init.h:28:18: error: popt.h: No such f
ile or directory
make[3]: *** [generate_defs_libbonobo.o] Error 1

The full build log is available from 
http://ox.blop.info/bazaar/buildlogs/20061107/

About the archive rebuilt: The rebuilt was done on about 30 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing an etch i386
environment (not unstable).  Internet was not accessible from the build
systems. The builds were processed as root.

About Grid'5000:
Grid'5000 is an highly reconfigurable experimental Grid platform
gathering 9 sites and featuring a total of 5000 CPUs. It serves as a
testbed for research in Grid Computing. See https://www.grid5000.fr/
-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |



Information forwarded to debian-bugs-dist@lists.debian.org, Bradley Bell <btb@debian.org>:
Bug#397693; Package libbonobomm1.3. Full text and rfc822 format available.

Acknowledgement sent to Andreas Metzler <ametzler@downhill.at.eu.org>:
Extra info received and forwarded to list. Copy sent to Bradley Bell <btb@debian.org>. Full text and rfc822 format available.

Message #10 received at 397693@bugs.debian.org (full text, mbox):

From: Andreas Metzler <ametzler@downhill.at.eu.org>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 397693@bugs.debian.org
Subject: Re: Bug#397693: libbonobomm1.3: FTBFS: error: popt.h: No such file or directory
Date: Sun, 12 Nov 2006 11:23:12 +0100
On 2006-11-08 Lucas Nussbaum <lucas@lucas-nussbaum.net> wrote:
> Package: libbonobomm1.3
> Version: 1.3.8-3
> Severity: serious
> Justification: FTBFS on i386, very likely to fail everywhere else
> Usertags: grid5000

> During a rebuild of all packages in etch, I discovered that your package
> failed to build on i386.
[...]
> In file included from /usr/include/bonobo-activation-2.0/bonobo-activation/bonobo-activation.h:34,
>                  from /usr/include/libbonobo-2.0/bonobo/bonobo-object.h:14,
>                  from /usr/include/libbonobo-2.0/bonobo/bonobo-types.h:16,
>                  from /usr/include/libbonobo-2.0/libbonobo.h:18,
>                  from generate_defs_libbonobo.cc:24:
> /usr/include/bonobo-activation-2.0/bonobo-activation/bonobo-activation-init.h:28:18: error: popt.h: No such file or directory
[...]

This does not seem to be a bug in libbonobomm1.3 at all, afaict this is
caused by

398019 [         NF] libbonobo2-dev: Missing Depends on libpopt-dev

which is already fixed in libbonobo2-dev 2.14.0-3

Imho the bug should simply be closed (unversioned) once libbonobo
2.14.0-3 has propagated to testing.

cu andreas
-- 
The 'Galactic Cleaning' policy undertaken by Emperor Zhark is a personal
vision of the emperor's, and its inclusion in this work does not constitute
tacit approval by the author or the publisher for any such projects,
howsoever undertaken.                                (c) Jasper Ffforde



Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 397693-done@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Andreas Metzler <ametzler@downhill.at.eu.org>, 397693-done@bugs.debian.org
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: Re: Bug#397693: libbonobomm1.3: FTBFS: error: popt.h: No such file or directory
Date: Sun, 12 Nov 2006 02:57:36 -0800
On Sun, Nov 12, 2006 at 11:23:12AM +0100, Andreas Metzler wrote:
> This does not seem to be a bug in libbonobomm1.3 at all, afaict this is
> caused by

> 398019 [         NF] libbonobo2-dev: Missing Depends on libpopt-dev

> which is already fixed in libbonobo2-dev 2.14.0-3

> Imho the bug should simply be closed (unversioned) once libbonobo
> 2.14.0-3 has propagated to testing.

Or sooner, since 398019 is its own RC bug that's being tracked for the
release just fine :)

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Bug reassigned from package `libbonobomm1.3' to `libbonobo2-dev'. Request was from Steve McIntyre <steve@einval.com> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 23:33:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:32:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.